darcs

Issue 2309 Annotate doesn't indicate line numbers

Title Annotate doesn't indicate line numbers
Priority Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List owst
Assigned To
Topics

Created on 2013-03-01.11:23:29 by owst, last changed 2013-07-26.13:18:33 by noreply.

Messages
msg16733 (view) Author: owst Date: 2013-03-01.11:26:19
The output of annotate doesn't show any line numbers. This is annoying,
if for instance, you know there's a warning/compile error at a given
line, and want to know which patch affected that line.

I'd like the output of annotate to show line numbers, before the
author/patch information, i.e something like:

 7:      kowey@darcs.net   #7 |                          applyDefaults, 
 8: dagit@codersbase.com   #8 |                          arein ) 
 9:  guillaumh@gmail.com   #3 | import Darcs.UI.Commands (
CommandControl( CommandData ), 
10:      kowey@darcs.net   #9 |                         commandAlloptions )
msg16904 (view) Author: owst Date: 2013-07-17.23:31:58
Resolved here: http://bugs.darcs.net/patch1079
msg16955 (view) Author: noreply Date: 2013-07-26.13:18:32
The following patch sent by Owen Stephens <darcs@owenstephens.co.uk> updated issue issue2309 with
status=resolved;resolvedin=2.10.0 HEAD

* Resolve issue2309: annotate includes line numbers 
Ignore-this: fa599b5b6aa84a17126e15da63309bf4
History
Date User Action Args
2013-03-01 11:23:29owstcreate
2013-03-01 11:23:51owstsetmessages: - msg16732
2013-03-01 11:26:20owstsetmessages: + msg16733
title: Annotate doesn't indicate the line number -> Annotate doesn't indicate line numbers
2013-07-17 23:31:59owstsetstatus: unknown -> has-patch
messages: + msg16904
2013-07-26 13:18:33noreplysetstatus: has-patch -> resolved
messages: + msg16955
resolvedin: 2.10.0 HEAD